# Uses of Interface
com.logicaldoc.core.folder.FolderListener

Packages that use FolderListener
Package
Description
com.logicaldoc.core.folder
Contains the definitions of `Folder` as well as other related objects

## Uses of FolderListener in com.logicaldoc.core.folder

Classes in com.logicaldoc.core.folder that implement FolderListener
Modifier and Type
Class
Description
`class`
`FolderInitializer`
This listener takes care of initializing the metadata of a folder.
`class`
`FolderValidator`
This listener takes care of logically validate a folder.
Methods in com.logicaldoc.core.folder that return types with arguments of type FolderListener
Modifier and Type
Method
Description
`List<FolderListener>`
FolderListenerManager.`getListeners()`
The ordered list of listeners